#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	GNU FriBidi - library implementing the Unicode BiDi algorithm
Summary(pl.UTF-8):	GNU FriBidi - biblioteka implementująca algorytm Unicode BiDi
Name:		fribidi
Version:	1.0.11
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/fribidi/fribidi/releases
Source0:	https://github.com/fribidi/fribidi/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	06bb29553bb0529fb38648185f2553b0
URL:		https://fribidi.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libfribidi0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU FriBidi is a free Implementation of the Unicode BiDi algorithm.

%description -l pl.UTF-8
GNU FriBidi to wolnodostępna implementacja algorytmu Unicode BiDi.

%package devel
Summary:	Header files for FriBidi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FriBidi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libfribidi0-devel

%description devel
The fribidi-devel package includes header files for the fribidi
package.

%description devel -l pl.UTF-8
Pliki programistyczne pozwalające na wykorzystywanie biblioteki
fribidi w swoim oprogramowaniu.

%package static
Summary:	Static FriBidi library
Summary(pl.UTF-8):	Biblioteka statyczna FriBidi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FriBidi library.

%description static -l pl.UTF-8
Biblioteka statyczna FriBidi.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/fribidi
%attr(755,root,root) %{_libdir}/libfribidi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfribidi.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfribidi.so
%{_libdir}/libfribidi.la
%{_includedir}/fribidi
%{_pkgconfigdir}/fribidi.pc
%{_mandir}/man3/fribidi_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfribidi.a
%endif
%changelog
* Wed Oct 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fribidi.git;a=log;h=master

* Wed Oct 20 2021 Jakub Bogusz <qboosh@pld-linux.org> e143638
- updated to 1.0.11

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 592bba3
- updated to 1.0.10

* Mon Mar 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 1529476
- updated to 1.0.9

* Thu Sep 27 2018 Jakub Bogusz <qboosh@pld-linux.org> c5b9f53
- updated to 1.0.5

* Sun May 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 6388645
- new Source0 URL, updated to 1.0.3
- glib no longer used

* Tue Jun 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 986ded3
- updated URL

* Fri Jan 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 4ed18ff
- updated to 0.19.7
- removed obsolete format-security patch

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 497e67e
- release 2 (by relup.sh)

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> cefc387
- updated to 0.19.6

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> cec2954
- fix format string error

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> d9ec6e9
- updated to 0.19.5

* Mon May 06 2013 Marcin Krol <hawk@tld-linux.org> 2ea8f19
- release 2 (by relup.sh)

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 36fdcf7
- BR: pkgconfig

* Sat Nov 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 706eb05
- cleanup

* Sat Nov 20 2010 Jakub Bogusz <qboosh@pld-linux.org> a04da08
- package man3 pages

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 349f983
- Up to 0.19.2

* Fri Jul 03 2009 hawk <hawk@pld-linux.org> fd0d1cb
- reverted to 0.10.19, note to amateja: don't put DEVEL versions on HEAD

* Mon Jun 08 2009 amateja <amateja@pld-linux.org> 8ca2fe1
- updated to 0.19.2

* Wed Jan 23 2008 Jakub Bogusz <qboosh@pld-linux.org> ef60b3f
- more verbose files
- descs cleanup, updated to current official name (GNU FriBidi)

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> 88cbf79
- rel. 1

